<?php

namespace Drupal\files_and_folders\TwigExtension;

use Twig\Extension\AbstractExtension;
use Twig\TwigFilter;

class FileIconExtension extends AbstractExtension
{
    public function getFilters()
    {
        return [
            new TwigFilter('get_file_icon', [$this, 'getFileIcon']),
        ];
    }

  public function getFileIcon($filename) {
    $extension = pathinfo($filename, PATHINFO_EXTENSION);
    switch (strtolower($extension)) {
      case 'pdf':
        return '📄';
      case 'png':
      case 'jpg':
      case 'jpeg':
        return '🖼️';
      case 'xls':
      case 'xlsx':
        return '📊';
      case 'doc':
      case 'docx':
        return '📝';
      default:
        return '📄';
    }
  }
}